RebalanceResults (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.control, interface: RebalanceResults

Package org.apache.geode.cache.control

# Interface RebalanceResults

public interface RebalanceResults
The results of rebalancing `Cache` resources.

Since:
  GemFire 6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<PartitionRebalanceInfo>`
  `getPartitionRebalanceDetails()`
  Returns a `Set` of detailed information about each partitioned region that was rebalanced.
  `long`
  `getTotalBucketCreateBytes()`
  Returns the total size, in bytes, of all of the buckets that were created as part of the rebalance operation.
  `int`
  `getTotalBucketCreatesCompleted()`
  Returns the total number of buckets created during the rebalance operation.
  `long`
  `getTotalBucketCreateTime()`
  Returns the total time, in milliseconds, taken to create buckets.
  `long`
  `getTotalBucketTransferBytes()`
  Returns the total size, in bytes, of buckets that were transferred.
  `int`
  `getTotalBucketTransfersCompleted()`
  Returns the total number of buckets transferred.
  `long`
  `getTotalBucketTransferTime()`
  Returns the total amount of time, in milliseconds, it took to transfer buckets.
  `int`
  `getTotalMembersExecutedOn()`
  Returns the total number of members on which command is executed.
  `int`
  `getTotalPrimaryTransfersCompleted()`
  Returns the total number of primaries that were transferred.
  `long`
  `getTotalPrimaryTransferTime()`
  Returns the total time, in milliseconds, spent transferring primaries.
  `long`
  `getTotalTime()`
  Returns the total time, in milliseconds, that the rebalance operation took.

- ## Method Details

  - ### getPartitionRebalanceDetails

    Set<PartitionRebalanceInfo> getPartitionRebalanceDetails()
    Returns a `Set` of detailed information about each partitioned region that was rebalanced.
    Returns:
      a `Set` of detailed information about each partitioned region that was rebalanced

  - ### getTotalTime

    long getTotalTime()
    Returns the total time, in milliseconds, that the rebalance operation took.
    Returns:
      the total time, in milliseconds, that the rebalance operation took

  - ### getTotalBucketCreatesCompleted

    int getTotalBucketCreatesCompleted()
    Returns the total number of buckets created during the rebalance operation.
    Returns:
      the total number of buckets created during the rebalance operation

  - ### getTotalBucketCreateBytes

    long getTotalBucketCreateBytes()
    Returns the total size, in bytes, of all of the buckets that were created as part of the rebalance operation.
    Returns:
      the total size, in bytes, of all of the buckets that were created as part of the rebalance operation

  - ### getTotalBucketCreateTime

    long getTotalBucketCreateTime()
    Returns the total time, in milliseconds, taken to create buckets.
    Returns:
      the total time, in milliseconds, taken to create buckets

  - ### getTotalBucketTransfersCompleted

    int getTotalBucketTransfersCompleted()
    Returns the total number of buckets transferred.
    Returns:
      the total number of buckets transferred

  - ### getTotalBucketTransferBytes

    long getTotalBucketTransferBytes()
    Returns the total size, in bytes, of buckets that were transferred.
    Returns:
      the total size, in bytes, of buckets that were transferred

  - ### getTotalBucketTransferTime

    long getTotalBucketTransferTime()
    Returns the total amount of time, in milliseconds, it took to transfer buckets.
    Returns:
      the total amount of time, in milliseconds, it took to transfer buckets

  - ### getTotalPrimaryTransfersCompleted

    int getTotalPrimaryTransfersCompleted()
    Returns the total number of primaries that were transferred.
    Returns:
      the total number of primaries that were transferred

  - ### getTotalPrimaryTransferTime

    long getTotalPrimaryTransferTime()
    Returns the total time, in milliseconds, spent transferring primaries.
    Returns:
      the total time, in milliseconds, spent transferring primaries

  - ### getTotalMembersExecutedOn

    int getTotalMembersExecutedOn()
    Returns the total number of members on which command is executed.
    Returns:
      the total number of members on which command is executed